From Fedora Project Wiki
(Upgrade/compatibility impact)
(Dependencies)
Line 108: Line 108:
  
 
== Dependencies ==
 
== Dependencies ==
<!-- What other packages (RPMs) depend on this package?  Are there changes outside the developers' control on which completion of this change depends?  In other words, completion of another change owned by someone else and might cause you to not be able to finish on time or that you would need to coordinate?  Other upstream projects like the kernel (if this is not a kernel change)? -->
+
The same of Darktable 1.6.x, except for gtk2* that has been replaced with gtk3*
 
 
<!-- REQUIRED FOR SYSTEM WIDE CHANGES -->
 
N/A (not a System Wide Change)
 
  
 
== Contingency Plan ==
 
== Contingency Plan ==

Revision as of 16:02, 12 November 2015

Important.png
Comments and Explanations
The page source contains comments providing guidance to fill out each section. They are invisible when viewing this page. To read it, choose the "view source" link.
Copy the source to a new page before making changes! DO NOT EDIT THIS TEMPLATE FOR YOUR CHANGE PROPOSAL.


Change Proposal Name

Summary

Owner

  • Email: <your email address so we can contact you, invite you to meetings, etc.>
  • Release notes owner:

Current status

Detailed Description

Darktable is one of the most important photo editing in the whole FOSS world. The 2.0 final version is going to be released in a few weeks, and it will be shipped in Fedora 24

Benefit to Fedora

Darktable 2.0's improved support for newer cameras stresses that the FOSS world is a concrete alternative for professional (and not) photographers


Scope

  • Proposal owners: actually update Darktable package to 2.0 sources.
  • Other developers: nothing
  • Release engineering: no action required
  • Policies and guidelines: no new policy/guideline changes required.
  • Trademark approval: N/A (not needed for this Change)

Upgrade/compatibility impact

Upgrade tested. Downgrade from 2.0 to 1.6.x not supported.

How To Test

N/A (not a System Wide Change)

User Experience

N/A (not a System Wide Change)

Dependencies

The same of Darktable 1.6.x, except for gtk2* that has been replaced with gtk3*

Contingency Plan

  • Contingency mechanism: (What to do? Who will do it?) N/A (not a System Wide Change)
  • Contingency deadline: N/A (not a System Wide Change)
  • Blocks release? N/A (not a System Wide Change), Yes/No
  • Blocks product? product

Documentation

N/A (not a System Wide Change)

Release Notes